FreeBSD Administration - Bug #486

FreeNAS Template With Nickname Already Exists
12/06/2014 03:35 PM - Daniel Curtis

Status: Closed Start date: 12/06/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Jails / Containers Estimated time: 0.50 hour
Target version: FreeNAS 9.x Spent time: 1.00 hour
Description

| encountered a problem after deleting an unused VirtualBox template jail on FreeNAS. The error | came across happened when |
tried to create a new VirtualBox jail, then immediately displayed the following error:

ERROR: A template with this nickname already exists
After looking around on the Internet, | found someone on the PCBSD bug tracking system had the same problem and suggested
deleting the warden template.
To resolve the problem | did the following:
e | og into the FreeNAS console and open up a shell on the web interface.

¢ Show all the ZFS zvols:

zfs list

® |n my case | had to remove jails/.warden-template-VirtualBox-4.3.12:

zfs destroy -r jails/.warden-template-VirtualBox—-4.3.12

e Remove remnant files:

rm —-rf /mnt/jails/.warden-template-VirtualBox-4.3.12

Once this was done, | was able to create new VirtualBox jails.

Resources

e https://bugs.pcbsd.org/issues/3779

History

#1 - 12/10/2014 10:48 AM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 12/12/2014 10:56 AM - Daniel Curtis

- Status changed from Resolved to Closed

#3 - 02/14/2015 10:44 AM - Daniel Curtis

- Target version set to FreeNAS 9.x

#4 - 02/14/2015 12:01 PM - Daniel Curtis

04/23/2024 1/2



https://bugs.pcbsd.org/issues/3779

- Category set to Jails / Containers
